Package: grails.core

## [Java] Interface GrailsUrlMappingsClass

- grails.core.support.GrailsApplicationAware

- All Superinterfaces:
    GrailsClass, GrailsApplicationAware

      public interface GrailsUrlMappingsClass
      extends GrailsClass

  Loads the UrlMappings.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List` | `getExcludePatterns()` Returns a List of URI patterns to exclude.
    `` | `public groovy.lang.Closure` | `getMappingsClosure()` Returns the mappings closure which is called to evaluate the url mappings.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List getExcludePatterns()

      Returns a List of URI patterns to exclude.

      Returns:
        the patterns (Strings)

    - #### @java.lang.SuppressWarnings("rawtypes") public groovy.lang.Closure getMappingsClosure()

      Returns the mappings closure which is called to evaluate the url mappings.

      Returns:
        A Closure instance